#!/usr/bin/env python3

# A simple command line utility which demonstrates searching the KB.

# Copyright (C) 2018, 2019 Nathan Matthew Miller

# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

import sys

import KB.Core as core


## Main program

if not len(sys.argv) > 1:

    sys.stderr.write( "No arguments provided\n" )
    sys.exit( 1 )

keyword = sys.argv[1]

kb = core.Core()

cur = kb.search( keyword )
matches = 0

row = cur.fetchone()
while row != None:

    print( row[0] + " | " + row[1] + " | " + row[2][0:30] )
    matches += 1
    row = cur.fetchone()

if matches == 0:
    print( "No matches found" )

kb.close()
sys.exit( 0 )
